cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation

## Class TCR_U11

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation.TCU_U10_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation.TCR_U11

-     public final class TCR_U11
      extends TCU_U10_Common

  TCR_U11 - Automated Equipment Test Code Settings Request (Event U11). This message is use to request information concerning test codes from one application to another (e.g., Laboratory Automation System to automated equipment).

  Represents a TCU_U11 message structure (see chapter 13.3.11). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential Segment) SINGLE_OPTIONAL
  3: EQU (Equipment Detail Segment)
  4: TEST_CONFIGURATION (a Group of segments in TCU_U10 message)
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  TCR_U11 objU11 = (TCR_U11)MessageFactory.createInstance().createSendSupportedMessage("TCR", "U11");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation.TCU_U10_Common

      `addSoftwareSegment, addSoftwareSegment, addTestConfigurationGroup, addTestConfigurationGroups, getEquipmentDetailSegment, getSoftwareSegments, getTestConfigurationGroups, getUserAuthenticationCredentialSegment, setEquipmentDetailSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`